/* global describe, it, before */

import chai from 'chai';
import {Client, RequestTypes} from '../lib/library.js';

const promised = require( 'chai-as-promised' );

chai.use( promised );
chai.should();

const expect = chai.expect;
const done = chai.done;

let lib;

const credentialsRequest = new RequestTypes.CreateCredentialsRequest('username', 'password');

describe('Given an instance of Client', () => {
  before(() => {
    lib = new Client('apiId', 'apiKey');
  });
  describe('when I create credentials', () => {
    it('should not fail even without connection', () => {
      return lib.call(credentialsRequest).should.be.fulfilled;
    });
  });
});